Bug 604093 - Review Request: perl-Test-Synopsis - Test your SYNOPSIS code
Summary: Review Request: perl-Test-Synopsis - Test your SYNOPSIS code
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 12:23 UTC by Paul Howarth
Modified: 2010-07-09 05:55 UTC (History)
3 users (show)

Fixed In Version: perl-Test-Synopsis-0.06-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-24 16:29:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2010-06-15 12:23:34 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Test-Synopsis/branches/fedora/perl-Test-Synopsis.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Test-Synopsis/perl-Test-Synopsis-0.06-4.fc12.src.rpm

Description:

Test::Synopsis is an (author) test module to find .pm or .pod files under your
lib directory and then make sure the example snippet code in your SYNOPSIS
section passes the perl compile check.

Note that this module only checks the perl syntax (by wrapping the code with
sub) and doesn't actually run the code.

Comment 1 Parag AN(पराग) 2010-06-21 05:31:11 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2261162
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
7a72044c25cd4b2b15f44e131720f317b79e2c9a  Test-Synopsis-0.06.tar.gz.srpm
7a72044c25cd4b2b15f44e131720f317b79e2c9a  Test-Synopsis-0.06.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=7, Tests=8,  2 wallclock secs ( 0.04 usr  0.01 sys +  0.94 cusr  0.09 csys =  1.08 CPU)
+ Package perl-Test-Synopsis-0.06-4.fc14.noarch =>
Provides: perl(Test::Synopsis) = 0.06
Requires: perl >= 0:5.008_001 perl(base) perl(ExtUtils::Manifest) perl(strict) rpmlib(VersionedDependencies) <= 3.0.3-1

+ Not a GUI application

APPROVED.

Comment 2 Paul Howarth 2010-06-21 08:18:15 UTC
New Package CVS Request
=======================
Package Name: perl-Test-Synopsis
Short Description: Test your SYNOPSIS code
Owners: pghmcfc
Branches: EL-5 EL-6 F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-06-23 01:52:34 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-06-23 15:00:24 UTC
perl-Test-Synopsis-0.06-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Test-Synopsis-0.06-4.fc13

Comment 5 Fedora Update System 2010-06-23 15:00:28 UTC
perl-Test-Synopsis-0.06-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Test-Synopsis-0.06-4.fc12

Comment 6 Fedora Update System 2010-06-23 15:07:24 UTC
perl-Test-Synopsis-0.06-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Test-Synopsis-0.06-4.el5

Comment 7 Fedora Update System 2010-06-23 22:09:26 UTC
perl-Test-Synopsis-0.06-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Test-Synopsis'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Test-Synopsis-0.06-4.el5

Comment 8 Fedora Update System 2010-06-24 16:29:05 UTC
perl-Test-Synopsis-0.06-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-06-24 16:29:28 UTC
perl-Test-Synopsis-0.06-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-07-09 05:55:30 UTC
perl-Test-Synopsis-0.06-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.